<?php

/* Translation */
$brnhmbx_tra_NoComment = get_theme_mod( 'brnhmbx_tra_NoComment', 'No comments' );
$brnhmbx_tra_Comment = get_theme_mod( 'brnhmbx_tra_Comment', 'Comment' );
$brnhmbx_tra_Comments = get_theme_mod( 'brnhmbx_tra_Comments', 'Comments' );
$brnhmbx_tra_Name = get_theme_mod( 'brnhmbx_tra_Name', 'Name' );
$brnhmbx_tra_Email = get_theme_mod( 'brnhmbx_tra_Email', 'Email' );
$brnhmbx_tra_Website = get_theme_mod( 'brnhmbx_tra_Website', 'Website' );
$brnhmbx_tra_MustBeLogged = get_theme_mod( 'brnhmbx_tra_MustBeLogged', 'You must be logged in to post a comment' );
$brnhmbx_tra_Logged = get_theme_mod( 'brnhmbx_tra_Logged', 'Logged in' );
$brnhmbx_tra_LogOut = get_theme_mod( 'brnhmbx_tra_LogOut', 'Log out' );
$brnhmbx_tra_LeaveReply = get_theme_mod( 'brnhmbx_tra_LeaveReply', 'Leave a Reply' );
$brnhmbx_tra_CancelReply = get_theme_mod( 'brnhmbx_tra_CancelReply', 'Cancel Reply' );
$brnhmbx_tra_PostComment = get_theme_mod( 'brnhmbx_tra_PostComment', 'Post Comment' );
$brnhmbx_tra_Cookie = get_theme_mod( 'brnhmbx_tra_Cookie', 'Save my name, email, and website in this browser for the next time I comment' );
/* */

if ( ( comments_open() || get_comments_number() ) && !post_password_required() ) { ?>

    <!-- comments-container -->
    <div class="comments-container zig-zag clearfix">
        <!-- comments-outer -->
        <div class="comments-outer<?php echo frida_applyLayout(); ?>">
            <!-- comments -->
            <div id="comments" class="comments">

                <span class="fs26 liner source-serif chief-hdr"><span><?php

                comments_number( esc_attr( $brnhmbx_tra_NoComment ), '1 ' . esc_attr( $brnhmbx_tra_Comment ), '% ' . esc_attr( $brnhmbx_tra_Comments ) ); ?></span></span>

                <div class="comments-list">
                	<ul>

                    <?php

                        wp_list_comments( array(
                            'avatar_size' => 44,
                            'max_depth' => 3,
                            'style' => 'ul',
                            'callback' => 'brnhmbx_setCommentItem',
                            'type' => 'all'
                        ) );

                    ?>

                    </ul>
                </div>

                <div class="comments-paging fs14 noto-serif"><?php echo paginate_comments_links( array( 'prev_text' => '<i class="fa fa-chevron-left"></i>', 'next_text' => '<i class="fa fa-chevron-right"></i>' ) ); ?></div>

                    <?php

                        $req = get_option( 'require_name_email' );
                        $aria_req = ( $req ? " aria-required=true" : '' );

                        $brnhmbx_tra_fields = array (
                            'author' => '<div class="comment-form-author fs14 noto-serif comment-input-hdr" style="padding-bottom: 12px; padding-top: 17px;">' . '<label for="author">' . esc_attr( $brnhmbx_tra_Name ) . ( $req ? ' <span class="required"> *</span>' : '' ) . '</label></div> ' .
                                        '<input id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '" style="width: 300px;"' . esc_attr( $aria_req ) . ' />',
                            'email' => '<div class="comment-form-email fs14 noto-serif comment-input-hdr" style="padding-bottom: 12px; padding-top: 17px;"><label for="email">' . esc_attr( $brnhmbx_tra_Email ) . ( $req ? ' <span class="required"> *</span>' : '' ) . '</label></div> ' .
                                        '<input id="email" name="email" ' . 'type="text"' . ' value="' . esc_attr( $commenter['comment_author_email'] ) . '" style="width: 300px;" aria-describedby="email-notes"' . esc_attr( $aria_req ) . ' />',
                            'url' => '<div class="comment-form-url fs14 noto-serif comment-input-hdr" style="padding-bottom: 12px; padding-top: 17px;"><label for="url">' . esc_attr( $brnhmbx_tra_Website ) . '</label></div> ' .
                                        '<input id="url" name="url" ' . 'type="text"' . ' value="' . esc_attr( $commenter['comment_author_url'] ) . '" style="width: 300px;" />',
                            'cookies' => '<p class="comment-form-cookies-consent"><input id="wp-comment-cookies-consent" name="wp-comment-cookies-consent" type="checkbox" value="yes"> <label for="wp-comment-cookies-consent">' . esc_html( $brnhmbx_tra_Cookie ) . '</label></p>',
                        );

                        $brnhmbx_tra_comment_field = '<div class="comment-form-comment fs14 noto-serif comment-input-hdr" style="padding-bottom: 12px; padding-top: 17px;"><label for="comment">' . esc_attr( $brnhmbx_tra_Comment ) . '</label></div><textarea id="comment" name="comment" aria-describedby="form-allowed-tags" aria-required="true"></textarea>';

                        $brnhmbx_tra_must_log_in = '<div class="must-log-in fs13 noto-serif" style="padding-bottom: 5px;">' . sprintf( '<a href="%s">' . esc_attr( $brnhmbx_tra_MustBeLogged ) . '.</a>', wp_login_url(apply_filters( 'the_permalink', get_permalink() ) ) ) . '</div>';

                        $brnhmbx_tra_logged_in_as = '<div class="logged-in-as fs13 noto-serif" style="padding-bottom: 5px;">' . sprintf( esc_attr( $brnhmbx_tra_Logged ) . ': <a href="%1$s">%2$s</a> / <a href="%3$s">' . esc_attr( $brnhmbx_tra_LogOut ) . '</a>', get_edit_user_link(), $user_identity, wp_logout_url( apply_filters( 'the_permalink', get_permalink() ) ) ) . '</div>';

                        comment_form( array(
                            'fields' => $brnhmbx_tra_fields,
                            'comment_field' => $brnhmbx_tra_comment_field,
                            'comment_notes_after' => '',
                            'logged_in_as' => '',
                            'comment_notes_before' => '',
                            'title_reply' => esc_attr( $brnhmbx_tra_LeaveReply ),
                            'title_reply_to' => esc_attr( $brnhmbx_tra_LeaveReply ),
                            'cancel_reply_link' => '<span class="noto-serif right" style="font-size: 14px;">' . esc_attr( $brnhmbx_tra_CancelReply ) . ' <i class="fa fa-close i-spcr-l"></i></span>',
                            'label_submit' => esc_attr( $brnhmbx_tra_PostComment ),
                            'must_log_in' => $brnhmbx_tra_must_log_in,
                            'logged_in_as' => $brnhmbx_tra_logged_in_as
                        ) );
                    ?>

            </div><!-- /comments -->
        </div><!-- /comments-outer -->
    </div><!-- /comments-container -->

<?php }

function brnhmbx_setCommentItem( $comment, $args, $depth ) {

	/* Translation */
	$brnhmbx_tra_At = get_theme_mod( 'brnhmbx_tra_At', 'at' );
	$brnhmbx_tra_Reply = get_theme_mod( 'brnhmbx_tra_Reply', 'Reply' );
  $brnhmbx_tra_LoginToReply = get_theme_mod( 'brnhmbx_tra_LoginToReply', 'Log in to Reply' );
	$brnhmbx_tra_Edit = get_theme_mod( 'brnhmbx_tra_Edit', 'Edit' );
	$brnhmbx_tra_Awaiting = get_theme_mod( 'brnhmbx_tra_Awaiting', 'Comment awaiting approval' );
	/* */

	$GLOBALS['comment'] = $comment; ?>

	<li <?php comment_class(); ?> id="comment-<?php comment_ID(); ?>">

        <div class="comment-item-outer">

            <div class="comment-item clearfix">

                <?php if ( get_avatar( $comment ) ) { ?><div class="comment-author-img"><?php echo get_avatar( $comment, $args['avatar_size'] ); ?></div><?php } ?>

                <div class="comment-content clearfix">

                	<div class="comment-info">

                        <span class="comment-author-name source-serif"><?php echo get_comment_author_link(); ?></span><br />
                        <span class="comment-date noto-serif fs13 ita"><?php printf( '%1$s ' . esc_attr( $brnhmbx_tra_At ) . ' %2$s', get_comment_date(),  get_comment_time() ) ?></span>

                    </div>

                    <div class="comment-reply-edit clearfix">

                        <span class="btnReply fs14 noto-serif">
                            <?php comment_reply_link( array_merge( $args, array( 'reply_text' => esc_attr( $brnhmbx_tra_Reply ) . ' <i class="fa fa-plus i-spcr-l"></i>', 'login_text' => esc_attr( $brnhmbx_tra_LoginToReply ) . ' <i class="fa fa-plus i-spcr-l"></i>', 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ), $comment->comment_ID); ?>
                        </span>

                        <span class="btnEdit fs14 noto-serif">
                            <?php edit_comment_link( esc_attr( $brnhmbx_tra_Edit ) . ' <i class="fa fa-edit i-spcr-l"></i>' ); ?>
                        </span>

                    </div>

                </div>

            </div>

            <div class="comment-text clearfix">

                <?php if ( $comment->comment_approved == '0' ) { ?>

                	<div class="comment-awaiting fs13 noto-serif ita"><?php echo esc_attr( $brnhmbx_tra_Awaiting ); ?></div>

				<?php } ?>

				<div class="fs14 noto-serif"><?php comment_text(); ?></div>

			</div>

        </div>

<?php } ?>
