<?php

/* Checkbox Default Values */
$brnhmbx_ignoreExcerpt_Gallery = get_theme_mod( 'brnhmbx_ignoreExcerpt_Gallery', 0 );
$brnhmbx_ignoreExcerpt_Gallery_Archive = get_theme_mod( 'brnhmbx_ignoreExcerpt_Gallery_Archive', 0 );
/* */

/* Radio Default Values */
$brnhmbx_opt_FeaImg_Gallery = get_theme_mod( 'brnhmbx_opt_FeaImg_Gallery', 'gal' );
$brnhmbx_opt_GalleryPos_Gallery = get_theme_mod( 'brnhmbx_opt_GalleryPos_Gallery', 'content' );
/* */

?>

<div<?php if ( !is_single() ){ echo ' class="clearfix ' . frida_applyColumns() . '"'; } ?>>

    <div <?php post_class(); ?>>

        <article class="post post-gallery zig-zag clearfix">

        	<div>

                <?php

				if ( has_shortcode( $post->post_content, 'gallery' ) ) {

					if ( is_single() ) {

						if ( $brnhmbx_opt_GalleryPos_Gallery == 'iof' || $brnhmbx_opt_GalleryPos_Gallery == 'both' ) {

							echo frida_galleryToSlider( 'the_content' );

						} else {

							the_post_thumbnail();

						}

					} else {

						if ( $brnhmbx_opt_FeaImg_Gallery == 'gal' ) {

							echo frida_galleryToSlider( 'the_content' );

						} else if ( $brnhmbx_opt_FeaImg_Gallery == 'fea' ) { ?>

							<a href="<?php esc_url( the_permalink() ); ?>"><?php the_post_thumbnail(); ?></a>

						<?php }

					}

				} else {

					if ( $brnhmbx_opt_FeaImg_Gallery == 'fea' ) {

        				if ( is_single() ) {

							the_post_thumbnail();

						} else { ?>

							<a href="<?php esc_url( the_permalink() ); ?>"><?php the_post_thumbnail(); ?></a> <?php

                        }

                 	}

				} ?>

            </div>

            <div class="article-outer<?php echo frida_applyLayout(); ?>">
                <div class="article-inner">
                    <div class="article-container clearfix">

                        <?php

						get_template_part( 'datebar' );
						get_template_part( 'titlebar' );

						if ( is_sticky() && is_home() && !is_paged() ) {

							echo '<div class="sticky-icon"><i class="fa fa-bookmark-o"></i></div>';

						}

						?>

                        <div class="fs14 noto-serif the-content clearfix">

                        <?php

						if ( is_single() || ( is_home() && $brnhmbx_ignoreExcerpt_Gallery ) || ( !is_home() && $brnhmbx_ignoreExcerpt_Gallery_Archive ) ) {

							echo frida_formatGetTheContent();

						} else {

							echo frida_appendMoreButton();

						}

						?>

                        </div>

                    </div>

                    <?php get_template_part( 'socialbar' ); ?>

                </div>
            </div>
        </article>

	</div>

</div>
