<?php get_header();
	
	/* Translation */	
	$brnhmbx_tra_OlderPosts = get_theme_mod( 'brnhmbx_tra_OlderPosts', 'Older Posts' );
	$brnhmbx_tra_NewerPosts = get_theme_mod( 'brnhmbx_tra_NewerPosts', 'Newer Posts' );
	/* */
			
	/* Radio Default Values */
	$brnhmbx_opt_Layout = get_theme_mod( 'brnhmbx_opt_Layout', '1col_sidebar' );
	/* */
	
	?>

        <!-- wrapper -->
        <div class="wrapper clearfix">
    
        <?php
    
            $brnhmbx_counter = 0;
    
            if ( have_posts() ) :
                while ( have_posts() ) : the_post();
                
                if ( $brnhmbx_opt_Layout == '2col' || $brnhmbx_opt_Layout == '2col_sidebar' ) {
                    
                    // Open & close row in every 2 entries for 2 columns layout
                        
                    if ( $brnhmbx_counter % 2 == 0 ) { ?>
                    
                        <!-- row -->
                        <div class="row-1-2 clearfix">
                    
                <?php }
                            
                    get_template_part( 'content', get_post_format() );
                    $brnhmbx_counter += 1;
                            
                    if ( $brnhmbx_counter % 2 == 0 || $brnhmbx_counter == $wp_query->post_count ) { ?>
                    
                        </div><!-- /row -->
                                    
                <?php }
                
                } else if ( $brnhmbx_opt_Layout == '3col' ) {
                    
                    // Open & close row in every 3 entries for 3 columns layout
                        
                    if ( $brnhmbx_counter % 3 == 0 ) { ?>
                    
                        <!-- row -->
                        <div class="row-1-3 clearfix">
                    
                <?php }
                            
                    get_template_part( 'content', get_post_format() );
                    $brnhmbx_counter += 1;
                            
                    if ( $brnhmbx_counter % 3 == 0 || $brnhmbx_counter == $wp_query->post_count ) { ?>
                    
                        </div><!-- /row -->
                                    
                <?php }
                
                } else {
                    
                    get_template_part( 'content', get_post_format() );
                    
                }
				                
                endwhile;
                
                else :
				
                    echo '<p class="source-serif fs26">' . esc_attr( get_theme_mod( 'brnhmbx_tra_Nothing', 'Nothing found' ) ) . '.</p>';
                
                endif;
                
                ?>
            
            </div><!-- /wrapper -->
            
            <div class="pagenavi">
            
                <?php if ( function_exists('wp_pagenavi') ) {
                    
                    wp_pagenavi();
                    
                } else {
										
					previous_posts_link( '<div class="noto-serif fs14 right">' . esc_attr( $brnhmbx_tra_NewerPosts ) . ' <i class="fa fa-chevron-right i-spcr-l"></i></div>' );
					next_posts_link( '<div class="noto-serif fs14 left"><i class="fa fa-chevron-left i-spcr-r"></i> ' . esc_attr( $brnhmbx_tra_OlderPosts ) . '</div>' );
                    
                } ?>
                
            </div>
        
        </div><!-- /site-content -->
        
        <!-- sidebar -->
        
        <?php
                    
            if ( $brnhmbx_opt_Layout == '1col_sidebar' || $brnhmbx_opt_Layout == '2col_sidebar' ) {
    
                get_sidebar();
                        
            }
                
        ?>
        
        <!-- /sidebar -->
        
    </div><!-- /main-container -->
</div><!-- main-container-outer -->
            
<?php get_footer(); ?>