jQuery(document).ready( function( $ ) {

	"use strict";

	// Scroll to top
	$('.btn-to-top').on( 'click', function() {

		$('html, body').animate( { scrollTop: 0 }, 500 );
		return false;

	} );

	// Fitvids
	$('.bxslider-vid').fitVids();

	// Added to avoid iframe confuse on Chrome, Safari and Opera
	$('iframe').each( function() {

        this.src = this.src;

    } );

	// Search box focus
	var brnhmbx_searchDefaultVal = $('#s').val();

	$('#s').on( 'focus', function() {

		if ( $(this).val() == brnhmbx_searchDefaultVal ) {

			$(this).val('');

		}

	} );

	$('#s').on( 'focusout', function() {

		if ( $(this).val() == '' ) {

			$(this).val(brnhmbx_searchDefaultVal);

		}

	} );

	// Apply Slicknav
	var slicknav_apl = true;
	var slicknav_apl_check = Number( $( '#slicknav_apl' ).html() );
	if ( !slicknav_apl_check ) { slicknav_apl = false; }

	$('#site-menu').slicknav( {

		label: '',
		prependTo: '#touch-menu',
		allowParentLinks: slicknav_apl,
		closedSymbol: '<i class="fa fa-chevron-right"></i>',
		openedSymbol: '<i class="fa fa-chevron-down"></i>',
		init: brnhmbx_appendSocialIcons,
		open: brnhmbx_showSocialIcons

	} );

	// Append social icons to Slicknav & Footer
	function brnhmbx_appendSocialIcons() {

		$('#touch-menu .slicknav_menu').addClass( 'fs16 source-serif' );

		if ( $('.social-accounts').html() != 'undefined' && $('.social-accounts').html() != undefined && $('.social-accounts').html() != '' ) {

			$('#touch-menu .slicknav_menu').append( '<div class="social-accounts-touch">' + $('.social-accounts').html() + '</div>' );
			$('.social-accounts-touch').hide();
			$('.social-accounts-touch').find( 'a' ).removeClass( 'invis' );

			/* Since v.1.1 */

			$('#footer-social').append( '<div class="social-accounts-footer fs14">' + $('.social-accounts').html() + '</div>' );
			$('.social-accounts-footer').find( 'a' ).removeClass( 'invis' );
			/* */

		}

	}

	$('.slicknav_btn').on( 'click', function() {

		$('.social-accounts-touch').hide();

	} );

	function brnhmbx_showSocialIcons() {

		$('.social-accounts-touch').show();

	}

	// Contact Form 7 Place Send Icon
	$('body').find( '.wpcf7-submit' ).parent().append( '<div class="clearfix ico-send"><i class="fa fa-location-arrow"></i></div>' );

	// Comment Form Place Send Icon
	$('body').find( '.form-submit .submit' ).parent().append( '<div class="clearfix ico-post fs14"><i class="fa fa-location-arrow"></i></div>' );

	// Social Icons
	var brnhmbx_socialOrder = new Number();
	var brnhmbx_socialInt = new Number();
	var brnhmbx_socialIconsCount = $('.nav-container .social-accounts').find( 'a' ).length;

	function brnhmbx_playSocial() {

		$('.social-accounts').find( 'a' ).removeClass( 'vis' ).addClass( 'invis' );
		$('.social-accounts').find( 'a:eq( ' + brnhmbx_socialOrder + ' )' ).removeClass( 'invis' ).addClass( 'vis' );

		if ( brnhmbx_socialIconsCount > 1 ) {

			brnhmbx_socialInt = setInterval( brnhmbx_switchSocial, 2500 );

		}

	}

	function brnhmbx_switchSocial() {

		if ( brnhmbx_socialOrder == brnhmbx_socialIconsCount - 1 ) {

			brnhmbx_socialOrder = 0;

		} else {

			brnhmbx_socialOrder += 1;

		}

		$('.social-accounts').find( 'a' ).removeClass( 'vis' ).addClass( 'invis' );
		$('.social-accounts').find( 'a:eq( ' + brnhmbx_socialOrder + ' )' ).removeClass( 'invis' ).addClass( 'vis' );

		$('.social-accounts').find( '.vis' ).css( 'opacity', 0 );
		$('.social-accounts').find( '.vis' ).animate({
			opacity: 1
		  }, 200);

	}

	brnhmbx_socialOrder = 0;
	brnhmbx_playSocial();

	// Sticky menu control
	$( window ).on( 'scroll', function() {

		if ( $(this).scrollTop() > $('#trigger-sticky-value').html() ) {

			$('#sticky-menu-container').addClass( 'menu-sticky' );

		} else {

			$('#sticky-menu-container').removeClass( 'menu-sticky' );

		}

	} );

} );
