<?php get_header();

	/* Checkbox Default Values */
	$brnhmbx_sh_SidebarInnerPage = get_theme_mod( 'brnhmbx_sh_SidebarInnerPage', 1 );
	$brnhmbx_sh_PageComments = get_theme_mod( 'brnhmbx_sh_PageComments', 1 );
	/* */

		if ( have_posts() ) :
			while ( have_posts() ) : the_post(); ?>
	
			<div>
			
				<article class="post post-page zig-zag clearfix">
				
					<div class="clearfix">
                    
                    <?php if ( get_theme_mod( 'brnhmbx_sh_Map', 0 ) && get_theme_mod( 'brnhmbx_mapPage' ) == get_the_ID() ) { ?>
                    
                    	<div class="mapInfo">
                            <span id="mapZoom"><?php echo esc_attr( get_theme_mod( 'brnhmbx_rng_MapZoom', 15 ) ); ?></span>
                            <span id="mapCoorN"><?php echo esc_attr( get_theme_mod( 'brnhmbx_coorN' ) ); ?></span>
                            <span id="mapCoorE"><?php echo esc_attr( get_theme_mod( 'brnhmbx_coorE' ) ); ?></span>
                        </div>
                        <div id="googleMap"></div>
                        
                    <?php } else { ?>
						
						<div class="image-widget-wrapper">
				
							 <?php the_post_thumbnail(); ?>
							
							<div class="image-widget-content">
								<div class="image-widget-inner">
									<div class="fs50 source-serif <?php if ( has_post_thumbnail() ) { echo 'text-over-image'; } else { echo 'page-with-no-image'; } ?> image-widget-text"><?php the_title(); ?></div>
								</div>
							</div>
							
						</div>
                        
                    <?php } ?>
											
					</div>
					
					<div class="clearfix article-outer<?php echo frida_applyLayout(); ?>">
						<div class="article-inner">                                                                
							<div class="article-container clearfix">
														
								<div class="fs14 noto-serif the-content">
								
								<?php
								
								the_content();
								
								?>
								
								</div>
								
							</div>
							
							<?php get_template_part( 'socialbar' ); ?>
										   
						</div>            
					</div>
				</article>
			
			</div>
            
            <?php if ( $brnhmbx_sh_PageComments ) {
			
				comments_template();
			
			} ?>
                
        </div><!-- /site-content -->
        
        <!-- sidebar -->
        
        <?php
                    
            if ( $brnhmbx_sh_SidebarInnerPage ) {

				if ( get_theme_mod( 'brnhmbx_ExtraSidebar_Page' ) ) {
						
					echo '<div class="sidebar zig-zag clearfix">';    
						dynamic_sidebar( 'brnhmbx_sidebar_page' );                        
					echo '</div>';
						
				} else {
	
					get_sidebar();
					
				}
					
			}
                
        ?>
        
        <!-- /sidebar -->
        
    </div><!-- /main-container -->
</div><!-- main-container-outer -->
            
<?php endwhile;
		
	else :
	
		echo '<p class="source-serif fs26">' . esc_attr( get_theme_mod( 'brnhmbx_tra_Nothing', 'Nothing found' ) ) . '.</p>';
		
	endif;
		
get_footer(); ?>