<?php get_header();

		/* Translation */
		$brnhmbx_tra_NextPost = get_theme_mod( 'brnhmbx_tra_NextPost', 'Next Post' );
		$brnhmbx_tra_PrevPost = get_theme_mod( 'brnhmbx_tra_PrevPost', 'Previous Post' );
		$brnhmbx_tra_RelatedPosts = get_theme_mod( 'brnhmbx_tra_RelatedPosts', 'Related Posts' );
		/* */

		/* Checkbox Default Values */
		$brnhmbx_sh_RelatedPosts = get_theme_mod( 'brnhmbx_sh_RelatedPosts', 1 );
		$brnhmbx_sh_PostComments = get_theme_mod( 'brnhmbx_sh_PostComments', 1 );
		$brnhmbx_sh_SidebarPost_Standard = get_theme_mod( 'brnhmbx_sh_SidebarPost_Standard', 1 );
		$brnhmbx_sh_SidebarPost_Gallery = get_theme_mod( 'brnhmbx_sh_SidebarPost_Gallery', 1 );
		$brnhmbx_sh_SidebarPost_Video = get_theme_mod( 'brnhmbx_sh_SidebarPost_Video', 1 );
		/* */

		$brnhmbx_frida_opt_RPBase = get_theme_mod( 'brnhmbx_frida_opt_RPBase', 'tag' );

		if ( have_posts() ) :
			while ( have_posts() ) : the_post();

			get_template_part( 'content', get_post_format() );

			endwhile;

			else :

				echo '<p class="source-serif fs26">' . esc_attr( get_theme_mod( 'brnhmbx_tra_Nothing', 'Nothing found' ) ) . '.</p>';

			endif;

			?>

			<div class="postnavi clearfix">

				<?php

				next_post_link( '%link', '<div class="noto-serif fs14 right">' . esc_attr( $brnhmbx_tra_NextPost ) . ' <i class="fa fa-chevron-right i-spcr-l"></i></div>', false );
				previous_post_link( '%link', '<div class="noto-serif fs14 left"><i class="fa fa-chevron-left i-spcr-r"></i> ' . esc_attr( $brnhmbx_tra_PrevPost ) . '</div>', false );

				?>

			</div>

			<?php

				$brnhmbx_orig_post = $post;
				global $post;
				$brnhmbx_frida_tags = wp_get_post_tags( $post->ID );
				$brnhmbx_frida_cats = wp_get_post_categories( $post->ID );

				if ( $brnhmbx_frida_opt_RPBase == 'tag' ) { $brnhmbx_frida_RPBaseTermIDs = $brnhmbx_frida_tags; } else if ( $brnhmbx_frida_opt_RPBase == 'category' ) { $brnhmbx_frida_RPBaseTermIDs = $brnhmbx_frida_cats; }

				if ( $brnhmbx_frida_RPBaseTermIDs ) {

					if ( $brnhmbx_frida_opt_RPBase == 'tag' ) {

						$brnhmbx_frida_tag_ids = array();
						foreach ( $brnhmbx_frida_tags as $brnhmbx_frida_individual_tag ) { $brnhmbx_frida_tag_ids[] = $brnhmbx_frida_individual_tag->term_id; }

						$args = array(
							'tag__in' => $brnhmbx_frida_tag_ids,
							'post__not_in' => array( $post->ID ),
							'posts_per_page' => 3, // Number of related posts to display.
							'ignore_sticky_posts' => 1

						);

					} else if ( $brnhmbx_frida_opt_RPBase == 'category' ) {

						$brnhmbx_frida_cat_ids = array();
						foreach ( $brnhmbx_frida_cats as $brnhmbx_frida_individual_cat ) { $cat = get_category( $brnhmbx_frida_individual_cat ); $brnhmbx_frida_cat_ids[] = $cat->term_id; }

						$args = array(
							'category__in' => $brnhmbx_frida_cat_ids,
							'post__not_in' => array( $post->ID ),
							'posts_per_page' => 3, // Number of related posts to display.
							'ignore_sticky_posts' => 1

						);

					}

					$brnhmbx_my_query = new wp_query( $args );

					if ( $brnhmbx_sh_RelatedPosts && $brnhmbx_my_query->have_posts() ) { ?>

						<!-- related-posts-container -->
						<div class="related-posts-container zig-zag clearfix">
							<!-- related-posts-outer -->
							<div class="clearfix related-posts-outer<?php echo frida_applyLayout(); ?>">
								<!-- related-posts -->
								<div class="related-posts clearfix">

									<span class="fs26 liner source-serif chief-hdr"><span><?php echo esc_attr( $brnhmbx_tra_RelatedPosts ); ?></span></span>

									<!-- related-posts-row -->
									<div class="related-posts-row<?php echo frida_applyLayout(); ?>">
										<?php

										while( $brnhmbx_my_query->have_posts() ) {
											$brnhmbx_my_query->the_post();

										?>

										<div class="clearfix related-post-item<?php echo frida_applyLayout(); ?>">

											<a href="<?php esc_url( the_permalink() ); ?>">
												<div style="padding-bottom: 15px;"><?php the_post_thumbnail( 'related-thumbnail' ); ?></div>
												<div class="related-post-item-header fs16 source-serif"><?php the_title(); ?></div>
											</a>

										</div>

										<?php }

										$post = $brnhmbx_orig_post;
										wp_reset_postdata();

										?>
									</div><!-- /related-posts-row -->

								</div><!-- /related-posts -->
							</div><!-- /related-posts-outer -->
						</div><!-- /related-posts-container -->

					<?php }

				}

			if ( $brnhmbx_sh_PostComments ) {

				comments_template();

			} ?>

		</div><!-- /site-content -->

		<!-- sidebar -->

		<?php

			if ( ( get_post_format() == '' || get_post_format() == 'aside' || get_post_format() == 'link' ) && $brnhmbx_sh_SidebarPost_Standard ) {

				if ( get_theme_mod( 'brnhmbx_ExtraSidebar_Post' ) ) {

					echo '<div class="sidebar zig-zag clearfix">';
						dynamic_sidebar( 'brnhmbx_sidebar_post' );
					echo '</div>';

				} else {

					get_sidebar();

				}

			} else if ( get_post_format() == 'gallery' && $brnhmbx_sh_SidebarPost_Gallery ) {

				if ( get_theme_mod( 'brnhmbx_ExtraSidebar_Post' ) ) {

					echo '<div class="sidebar zig-zag clearfix">';
						dynamic_sidebar( 'brnhmbx_sidebar_post' );
					echo '</div>';

				} else {

					get_sidebar();

				}

			} else if ( get_post_format() == 'video' && $brnhmbx_sh_SidebarPost_Video ) {

				if ( get_theme_mod( 'brnhmbx_ExtraSidebar_Post' ) ) {

					echo '<div class="sidebar zig-zag clearfix">';
						dynamic_sidebar( 'brnhmbx_sidebar_post' );
					echo '</div>';

				} else {

					get_sidebar();

				}

			}

		?>

		<!-- /sidebar -->

	</div><!-- /main-container -->
</div><!-- main-container-outer -->

<?php get_footer(); ?>
