<?php

/* Checkbox Default Values */
$brnhmbx_ignoreExcerpt_Video = get_theme_mod( 'brnhmbx_ignoreExcerpt_Video', 0 );
$brnhmbx_ignoreExcerpt_Video_Archive = get_theme_mod( 'brnhmbx_ignoreExcerpt_Video_Archive', 0 );
/* */

/* Radio Default Values */
$brnhmbx_opt_FeaImg_Video = get_theme_mod( 'brnhmbx_opt_FeaImg_Video', 'gal' );
/* */

?>

<div<?php if ( !is_single() ) { echo ' class="clearfix ' . frida_applyColumns() . '"'; } ?>>

    <div <?php post_class(); ?>>

        <article class="post post-video zig-zag clearfix">

        	<div>

                <?php

				$brnhmbx_videos = frida_videoToSlider();

				if ( $brnhmbx_videos != 'none' ) {

					if ( is_single() ) {

						echo frida_videoToSlider();

					} else {

						if ( $brnhmbx_opt_FeaImg_Video == 'gal' ) {

							echo frida_videoToSlider();

						} else if ( $brnhmbx_opt_FeaImg_Video == 'fea' ) { ?>

							<a href="<?php esc_url( the_permalink() ); ?>"><?php the_post_thumbnail(); ?></a>

						<?php }

					}

				} else {

					if ( $brnhmbx_opt_FeaImg_Video == 'fea' ) {

						if ( is_single() ) {

							the_post_thumbnail();

						} else { ?>

							<a href="<?php esc_url( the_permalink() ); ?>"><?php the_post_thumbnail(); ?></a> <?php

                        }

                    }

				} ?>

            </div>

            <div class="article-outer<?php echo frida_applyLayout(); ?>">
                <div class="article-inner">
                    <div class="article-container clearfix">

                        <?php

						get_template_part( 'datebar' );
						get_template_part( 'titlebar' );

						if ( is_sticky() && is_home() && !is_paged() ) {

							echo '<div class="sticky-icon"><i class="fa fa-bookmark-o"></i></div>';

						}

						?>

                        <div class="fs14 noto-serif the-content clearfix">

                        <?php

						if ( is_single() || ( is_home() && $brnhmbx_ignoreExcerpt_Video ) || ( !is_home() && $brnhmbx_ignoreExcerpt_Video_Archive ) ) {

							echo frida_clearEmbeds();

						} else {

							echo frida_appendMoreButton();

						}

						?>

                        </div>

                    </div>

                    <?php get_template_part( 'socialbar' ); ?>

                </div>
            </div>
        </article>

	</div>

</div>
