<?php

/* Checkbox Default Values */
$brnhmbx_sh_FeaImg_Single_Standard = get_theme_mod( 'brnhmbx_sh_FeaImg_Single_Standard', 1 );
$brnhmbx_ignoreExcerpt_Standard = get_theme_mod( 'brnhmbx_ignoreExcerpt_Standard', 0 );
$brnhmbx_ignoreExcerpt_Standard_Archive = get_theme_mod( 'brnhmbx_ignoreExcerpt_Standard_Archive', 0 );
/* */

/* Radio Default Values */
$brnhmbx_opt_FeaImg_Standard = get_theme_mod( 'brnhmbx_opt_FeaImg_Standard', 'fea' );
/* */

?>

<div<?php if ( !is_single() ) { echo ' class="clearfix ' . frida_applyColumns() . '"'; } ?>>

    <div <?php post_class(); ?>>

        <article class="post zig-zag clearfix">

        	<div>

				<?php

                if ( is_single() ) {

					if ( $brnhmbx_sh_FeaImg_Single_Standard ) {

                    	the_post_thumbnail();

					}

                } else {

					if ( $brnhmbx_opt_FeaImg_Standard == 'fea' ) { ?>

                    	<a href="<?php esc_url( the_permalink() ); ?>"><?php the_post_thumbnail(); ?></a>

                <?php }

				} ?>

            </div>

            <div class="article-outer<?php echo frida_applyLayout(); ?>">
                <div class="article-inner">
                    <div class="article-container clearfix">

                        <?php

						get_template_part( 'datebar' );
						get_template_part( 'titlebar' );

						if ( is_sticky() && is_home() && !is_paged() ) {

							echo '<div class="sticky-icon"><i class="fa fa-bookmark-o"></i></div>';

						}

						?>

                        <div class="fs14 noto-serif the-content clearfix">

                        <?php

						if ( is_single() || ( is_home() && $brnhmbx_ignoreExcerpt_Standard ) || ( !is_home() && $brnhmbx_ignoreExcerpt_Standard_Archive ) ) {

							the_content();

						} else {

							echo frida_appendMoreButton();

						}

						?>

                        </div>

                    </div>

                    <?php get_template_part( 'socialbar' ); ?>

                </div>
            </div>
        </article>

	</div>

</div>
