<!DOCTYPE html>
<html <?php if ( get_theme_mod( 'brnhmbx_tra_Lang' ) ) { echo 'lang="' . esc_attr( get_theme_mod( 'brnhmbx_tra_Lang' ) ) . '"'; } else { language_attributes(); } ?>>
	<head>
    	<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no">
		<meta charset="<?php bloginfo( 'charset' ); ?>">
        <?php if ( get_theme_mod( 'brnhmbx_upload_Favicon' ) ) { ?><link rel="icon" href="<?php echo esc_url( get_theme_mod( 'brnhmbx_upload_Favicon' ) ); ?>"><?php } ?>
        <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
		<?php wp_head(); ?>
	</head>

<body <?php body_class(); ?>>

	<!-- /* Since v.1.4 - Sticky Header */ -->
    <?php if ( get_theme_mod( 'brnhmbx_stickyHeader', 1 ) ) { get_template_part( 'sticky-menu' ); } ?>
	<!-- /* */ -->

    <!-- site-container -->
	<div class="site-container">
        <!-- site-container-inner -->
        <div class="clearfix site-container-inner<?php echo frida_applyLayout(); ?>">
            <!-- top-bar-outer -->
            <div class="top-bar-outer clearfix">
                <!-- top-bar -->
                <div class="top-bar">
                    <!-- top-bar-inner -->
                    <div class="top-bar-inner">
                        <!-- top-bar-container -->
                        <div class="top-bar-container clearfix">

                        	<?php /* Since v.1.1 */

							if ( get_theme_mod( 'brnhmbx_opt_MenuPos', 'center' ) == 'center' && get_theme_mod( 'brnhmbx_opt_Banner', 'no-banner' ) == 'no-banner' ) {

								get_template_part( 'primary-menu' );
								get_template_part( 'logo' );

							} else {

								get_template_part( 'logo' );
								get_template_part( 'primary-menu' );

							}

							/* */ ?>

                        </div><!-- /top-bar-container -->
                    </div><!-- /top-bar-inner -->
                </div><!-- /top-bar -->

                <div id="touch-menu"></div>

            </div><!-- /top-bar-outer -->

            <?php if ( get_theme_mod( 'brnhmbx_opt_SliderPosition', 'cover' ) == 'full' ) {

				frida_placeSlider();

			} ?>

            <!-- main-container-outer -->
            <div class="clearfix main-container-outer sticky-header">

            	<?php if ( get_theme_mod( 'brnhmbx_opt_SliderPosition', 'cover' ) == 'cover' ) {

					frida_placeSlider();

				} ?>

                <!-- main-container -->
                <div class="clearfix main-container<?php echo frida_applyLayout(); ?>">
                    <!-- site-content -->
                    <div class="clearfix site-content<?php echo frida_applyLayout(); ?>">

                    	<?php if ( get_theme_mod( 'brnhmbx_opt_SliderPosition', 'cover' ) == 'among' ) {

							frida_placeSlider();

						} ?>
