<!-- logo-container -->
<div class="logo-container clearfix">

    <!-- site-header -->
    <header class="site-header clearfix"><?php

        // If a logo image is uploaded
        if ( get_theme_mod( 'brnhmbx_upload_Logo' ) ) { ?>

            <a href="<?php echo home_url(); ?>"><?php

            // If the retina version is uploaded
            if ( get_theme_mod( 'brnhmbx_upload_LogoRetina' ) ) {

                list( $brnhmbx_logoRetinaWidth, $brnhmbx_logoRetinaHeight ) = getimagesize( esc_url( get_theme_mod( 'brnhmbx_upload_LogoRetina' ) ) );

                if ( get_theme_mod( 'brnhmbx_opt_Banner', 'no-banner' ) == 'yes-banner-fixed' && get_theme_mod( 'brnhmbx_opt_MenuPos', 'center' ) == 'center' ) { ?>

                    <div class="banner-fixed-height" style="background-image: url(<?php echo esc_url( get_theme_mod( 'brnhmbx_upload_LogoRetina' ) ); ?>); height: <?php echo esc_attr( $brnhmbx_logoRetinaHeight/2 ); ?>px;"></div>

                <?php } else { ?>

                    <img alt="theme-logo-alt" src="<?php echo esc_url( get_theme_mod( 'brnhmbx_upload_LogoRetina' ) ); ?>" style="width: <?php echo esc_attr( $brnhmbx_logoRetinaWidth/2 ); ?>px;" />

            <?php }

            } else {

                list( $brnhmbx_logoWidth, $brnhmbx_logoHeight ) = getimagesize( esc_url( get_theme_mod( 'brnhmbx_upload_Logo' ) ) );

                if ( get_theme_mod( 'brnhmbx_opt_Banner', 'no-banner' ) == 'yes-banner-fixed' && get_theme_mod( 'brnhmbx_opt_MenuPos', 'center' ) == 'center' ) { ?>

                    <div class="banner-fixed-height" style="background-image: url(<?php echo esc_url( get_theme_mod( 'brnhmbx_upload_Logo' ) ); ?>); height: <?php echo esc_attr( $brnhmbx_logoHeight ); ?>px;"></div>

                <?php } else { ?>

                    <img alt="theme-logo-alt" src="<?php echo esc_url( get_theme_mod( 'brnhmbx_upload_Logo' ) ); ?>" />

                <?php } ?>

            <?php } ?>

            </a>

        <?php } else { // Use logo text ?>

        <h1 class="logo-text"><a href="<?php echo home_url(); ?>"><span class="trocchi fs30"><?php

        if ( get_theme_mod( 'brnhmbx_useFAIcon ', 'fa-pagelines') != '' ) { ?>

            <i class="fa <?php echo esc_attr( get_theme_mod( 'brnhmbx_useFAIcon', 'fa-pagelines' ) ); ?> i-spcr-r"></i> <?php } ?><?php if ( get_theme_mod( 'brnhmbx_text_Logo' ) != '' ) { echo esc_attr( get_theme_mod( 'brnhmbx_text_Logo' ) ); } else { bloginfo( 'name' ); } ?></span></a></h1>

        <?php } ?>

    </header><!-- /site-header -->

</div><!-- /logo-container -->
