<?php

/* Checkbox Default Values */
$brnhmbx_sh_TagBar = get_theme_mod( 'brnhmbx_sh_TagBar', 1 );
$brnhmbx_sh_CategoryBar = get_theme_mod( 'brnhmbx_sh_CategoryBar', 1 );
/* */

if ( function_exists( 'frida_shortcode_share' ) ) { echo do_shortcode( '[frida_share ID=' . get_the_ID() . ']' ); }

if ( $brnhmbx_sh_CategoryBar || $brnhmbx_sh_TagBar ) {

	$defaults_wplp = array(
		'before'           => '<div class="paging-bar noto-serif fs14">' . esc_attr( get_theme_mod( 'brnhmbx_tra_Page', 'Page' ) ) . ' &nbsp;&nbsp; ',
		'after'            => '</div>',
		'separator'        => ' / '
	);

	wp_link_pages( $defaults_wplp );

	if ( !is_page() && $brnhmbx_sh_TagBar ) {

		the_tags( '<div class="tag-bar noto-serif fs13 ita">' . esc_attr( get_theme_mod( 'brnhmbx_tra_Tag', 'Tag' ) ) . ': ', ', ', '</div>' );

	}

	if ( !is_page() && $brnhmbx_sh_CategoryBar ) { ?>

		<div class="category-bar noto-serif fs13 ita"><?php echo esc_attr( get_theme_mod( 'brnhmbx_tra_Category', 'Category' ) ); ?>:

		<?php

		$brnhmbx_categories = get_the_category();
		$brnhmbx_separator = ', ';
		$brnhmbx_output = '';

		if ( $brnhmbx_categories ) {

			foreach( $brnhmbx_categories as $brnhmbx_category ) {

				$brnhmbx_output .= '<a href="' . get_category_link( $brnhmbx_category->term_id ) . '">' . esc_html( $brnhmbx_category->cat_name ) . '</a>' . esc_html( $brnhmbx_separator );

			}

			echo trim( $brnhmbx_output, $brnhmbx_separator );

		}

		?>

		</div>

	<?php } else { ?>

		<div class="social-bottom-spcr"></div>

	<?php }

} ?>
